Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(949)

Issue 317450043: Hardcode shadow-play-services ShadowProvider config. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
8 months ago by mikecase
Modified:
7 months, 3 weeks ago
Reviewers:
jbudorick, yolandyan
Visibility:
Public.

Description

Hardcode shadow-play-services ShadowProvider config. This file is normally generated at compile-time by Robolectric. This is tricky to do in GN. The file will never change so we might as well hardcode it. BUG=693660 R=jbudorick@chromium.org Committed: 2a0b6ba221c14f3371813a676ce06143353e448d

Patch Set 1 #

Patch Set 2 : Hardcode shadow-play-services ShadowProvider config. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1 line, -0 lines) Patch
A robolectric-shadows/shadows-play-services/src/main/resources/META-INF/services/org.robolectric.internal.ShadowProvider View 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 8
mikecase
Need this to build shadow-play-services in Chromium.
8 months ago (2017-03-20 21:07:50 UTC) #1
jbudorick
When is this required for shadow-play-services? At build time? Also, can you add a bug ...
8 months ago (2017-03-20 22:34:13 UTC) #2
yolandyan
hmm, do I need to be an OWNER to review this?
8 months ago (2017-03-20 23:17:01 UTC) #3
mikecase
On 2017/03/20 23:17:01, yolandyan wrote: > hmm, do I need to be an OWNER to ...
8 months ago (2017-03-21 18:08:16 UTC) #4
mikecase
On 2017/03/21 18:08:16, mikecase wrote: > On 2017/03/20 23:17:01, yolandyan wrote: > > hmm, do ...
8 months ago (2017-03-21 18:12:35 UTC) #5
mikecase
On 2017/03/21 18:12:35, mikecase wrote: > On 2017/03/21 18:08:16, mikecase wrote: > > On 2017/03/20 ...
8 months ago (2017-03-21 18:15:37 UTC) #6
jbudorick
lgtm I'm skeptical about the "never" change part but am ok with this for now.
8 months ago (2017-03-21 18:16:16 UTC) #7
mikecase
7 months, 3 weeks ago (2017-03-27 22:12:16 UTC) #8
Message was sent while issue was closed.
Committed patchset #2 (id:20001) manually as
2a0b6ba221c14f3371813a676ce06143353e448d (presubmit successful).
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld c59f3c4